View Issue Details

IDProjectCategoryView StatusLast Update
0000223Siril[All Projects] Sirilpublic2018-02-15 13:31
ReportervinvinAssigned Tovinvin 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version0.9.8Fixed in Version0.9.8 
Summary0000223: seqpsf fails the second time
DescriptionWhen running seqpsf or single-star registration, images in which no star was found are excluded from the sequence. The next time seqpsf is run, apparently it is does not run on the correct number of images. This is probably due to this automatic exclusion of images (which is caused by a bug in both our internal cases), which also causes the number of selected image not to be updated after the seqpsf.
It's probably not a good idea to change the selected images as a result of seqpsf.
TagsNo tags attached.

Activities

vinvin

2018-01-07 02:48

administrator   ~0000455

Fix committed to Siril (1977).

Related Changesets

Siril: 0.9 r1965

2018-01-02 15:35:14

lock42

Details
Trying to fix issue 0000223.
Need to think about a message to the user.
Affected Issues
0000223
mod - /branches/0.9/src/core/processing.c

Siril: 0.9 r1977

2018-01-07 02:47:56

vinvin

Details
The big partial SER and new_fit_image update.
Fixes 0000127 'SER processing of partial image is slow'.
Probably fixes 0000223 'seqpsf fails the second time' by adding the required user feedback messages.
Rewrote new_fit_image that is widely used, may break a few things.
SER partial read is much faster for any type of SER. It is now used in the generic function (used by seqpsf) and in median and rejection stacking.
Affected Issues
0000127, 0000223
mod - /branches/0.9/src/algos/fft.c
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/core/proto.h
mod - /branches/0.9/src/core/siril.c
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/io/image_format_fits.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/ser.c
mod - /branches/0.9/src/io/ser.h
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/sum.c

Issue History

Date Modified Username Field Change
2018-01-02 02:53 vinvin New Issue
2018-01-02 15:35 lock42 Changeset attached => Siril 0.9 r1965
2018-01-05 00:34 vinvin Assigned To => vinvin
2018-01-05 00:34 vinvin Status new => confirmed
2018-01-05 00:34 vinvin Status confirmed => assigned
2018-01-07 02:47 vinvin Changeset attached => Siril 0.9 r1977
2018-01-07 02:48 vinvin Note Added: 0000455
2018-01-07 02:48 vinvin Status assigned => resolved
2018-01-07 02:48 vinvin Resolution open => fixed
2018-01-07 02:48 vinvin Fixed in Version => 0.9.9
2018-02-15 13:31 lock42 Fixed in Version 0.9.9 => 0.9.8